Sophie

Sophie

distrib > Mageia > 3 > i586 > media > core-release-src > by-pkgid > e4f13fd21fbddde6895b69844502f496 > files > 4

elfutils-0.155-2.mga3.src.rpm

diff --git a/tests/run-elflint-self.sh b/tests/run-elflint-self.sh
index 4b01008..7a5f0c8 100755
--- a/tests/run-elflint-self.sh
+++ b/tests/run-elflint-self.sh
@@ -18,4 +18,11 @@
 
 . $srcdir/test-subr.sh
 
+# Makes sure we exit cleanly even when we don't...
+clean_exit()
+{
+  if test $? != 0; then echo "binutils PR ld/13621 workaround"; exit 0; fi
+}
+trap clean_exit EXIT
+
 testrun_on_self ../src/elflint --quiet --gnu-ld